/*
 * sound.h
 *
 * Last modified: <2009/06/21 13:36:55 +0900> By SUMIDA
 */
#ifndef SOUND_H_INCLUDED
#define SOUND_H_INCLUDED

extern void sound_init(int max_bgm, int max_se);
extern void sound_term(void);

extern void sound_load_music(const char* file, int bgm_id);
extern void sound_load_effect(const char* file, int se_id);

extern void sound_music(int bgm_id, int loop);
extern void sound_effect(int se_id);

extern void sound_stop_music(void);
extern void sound_stop_effect(void);

extern int sound_playing_music(void);

#endif
