/*
 * log.h
 *
 * ܂߂Oo͗p̊֐QB
 * ^C}Ɋւ֐́Abcc32̃CuɈˑĂB
 *
 * Last modified: <2009/06/16 21:51:58 +0900> By SUMIDA
 */
#ifndef LOG_H_INCLUDED
#define LOG_H_INCLUDED

#include <stdio.h>
#include <stdarg.h>
#include <time.h>
#include <sys/timeb.h>

/* 擾 */
char *format(const char *fmt, ...);

/* ݎ\擾 */
char *now(void);

/* wAhXTCY16iŏo͂ */
void dump(void *ptr, size_t size);

/* |[g̏óiformatƑgݍ킹ėpj*/
#define REPORT(_msg) \
	printf("%s : %s(%d) - %s\n", now(), __FILE__, __LINE__, _msg)

/* G[|[g̏óiformatƑgݍ킹ėpj*/
#define ERROR(_msg) \
	fprintf(stderr, "%s : %s(%d) - %s\n", now(), __FILE__, __LINE__, _msg)

/* w胁bZ[WƋɁA̓e16iŏo͂ */
#define DUMP(_msg, _ptr, _size) \
	REPORT(_msg); dump(_ptr, _size)

/* Ԍv̊Jn */
#define WATCH_START \
{struct timeb _t1, _t2; double _time; ftime(&_t1);

/* ԌvIAʂ|[go͂ */
#define WATCH_END \
ftime(&_t2); _time = _t2.time - _t1.time + (_t2.millitm - _t1.millitm) / 1000.0; REPORT(format("time=%fsec", _time));}

/* n[toCg̒l16i\Lp̃AXL[ɕϊ */
#define TO_ASC(_hb) \
	(((_hb) > 9)? (_hb) + 'A' - 10: (_hb) + '0')

#endif
